Bug 208232 - chekc_icmp plugin don't work without suid bit to root
chekc_icmp plugin don't work without suid bit to root
Product: Fedora
Classification: Fedora
Component: nagios-plugins (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-09-27 04:28 EDT by Jan ONDREJ
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-27 10:25:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2006-09-27 04:28:34 EDT
Description of problem:
chekc_icmp plugin has no suid bit set and therefore it is not work. Icmp packets
root privileges are required and nagios server is running under "nagios" user.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
try to use check_icmp as non root user, for example:
1.su nagios 
2./usr/lib/nagios/plugins/check_icmp localhost
Actual results:
check_icmp: Failed to obtain ICMP socket: Operation not permitted

Expected results:
OK - localhost: rta 0.210ms, lost 0%|rta=0.210ms;200.000;500.000;0; pl=0%;40;80;;

Additional info:
It is not an security disadvantage, because any user, which don't require
check_icmp plugin can uninstall them.
I have an yum plugin to fix this bug and it is not important for me, but may be
important for other users.
I am using check_icmp instead of check_ping, becaus it has been hard to set
proper selinux permissions for check_ping.
Comment 1 Mike McGrath 2006-09-29 13:14:18 EDT
Comment 2 Jan ONDREJ 2006-10-27 02:08:50 EDT
Same problem again with nagios-plugins-1.4.4-1.fc5 . :-(((
Comment 3 Mike McGrath 2006-10-27 10:25:12 EDT
Smack me next time I do this

Note You need to log in before you can comment on or make changes to this bug.